GCLI-LABELS(1)

NAME
gcli labels - Manage ticket labels in git forges

SYNOPSIS
gcli labels [-o owner -r repo]
gcli labels create [-o owner -r repo] -d description -n name -c colour
gcli labels [-o owner -r repo] -i name actions...

DESCRIPTION
Use gcli labels to list, create, edit or delete labels for Pull Requests/Merge Requests and issues in repositories in various git forges such as GitHub, GitLab and Gitea. Without any action specified, gcli labels will list all defined labels in the given or auto-detected repository.

OPTIONS

-o, --owner owner
    Work in the repository of the given owner. This option can only be used in combination with -r.

-r, --repo repo
    Work in the given repository. This option can only be used in combination with -o.

-i, --name name
    Execute actions on the label identified by name.

SUBCOMMANDS

create
    Create a new label in the given or auto-detected repository.

    The following flags must be specified:

    -n, --name name
        Set the short name of the label to the given name.

    -d, --description description
        Set the description of the label to the given text. Note that on GitHub this field may only consist of up to 150 characters.

    -c, --colour code
        Set the colour of the label to the given code. code is expected to be a 6 digit hexadecimal RGB colour code.

ACTIONS
When given a specific label with -i you can execute one or more of the following actions:

status
    Print a short summary about the label.

name new-name
    Change the name of the to the given new-name.

description new-description
    Change the description of the label to new-description. You should wrap the description in quotes in case it contains spaces.

colour hexcolour
    Change the colour of the label to the six-digit hexadecmial RGB colour code hexcolour.

delete
    Delete the given label.

EXAMPLES
Print a list of all labels in the current project:

    $ gcli labels

Create a new label called ‘bug’ with a description ‘Something is not working as expected’ and give it a red colour:

    $ gcli labels create \
    		--name bug \
    		--description "Something is not working as expected" \
    		--colour FF0000

Delete the label ‘foobar’ in herrhotzenplotz/gcli and use the configured account ‘gitlab’:

    $ gcli -a gitlab labels -o herrhotzenplotz -r gcli -i foobar delete

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
The delete subcommand should ask for confirmation and have a flag to override this behaviour.

Please report bugs via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss.

Alternatively you can report them on any of the forges linked at https://sr.ht/~herrhotzenplotz/gcli. However, the preferred and quickest method is to use the mailing list.